#ifndef _LEVELDATA_H_
#define _LEVELDATA_H_

#include <string>
#include <vector>

#include "level.h"

class LevelData {
	public:
	
	static void init ();
	
	static bool load (int i);
	
	static Level* create (int i);
	
	static unsigned int getLevelCount () {
		return map.size();
	}
	
	// non-static
	int tileArray[Level::WIDTH][Level::HEIGHT];
	
	private:
	
	static std::vector<LevelData*> map;
};

#endif

