#include "tile.h"

Tile::TileInfo Tile::tileInfo [13];

void Tile::initialiseTileInfo() {
	tileInfo[Tile::BLANK].width = 32;
	tileInfo[Tile::BLANK].height = 32;
	tileInfo[Tile::BLANK].layer = Tile::BACKGROUND;

	tileInfo[Tile::SOLID].width = 32;
	tileInfo[Tile::SOLID].height = 32;
	tileInfo[Tile::SOLID].layer = Tile::MIDDLEGROUND;

	tileInfo[Tile::FRIDGE].width = 32;
	tileInfo[Tile::FRIDGE].height = 64;
	tileInfo[Tile::FRIDGE].layer = Tile::MIDDLEGROUND;

	tileInfo[Tile::TV].width = 32;
	tileInfo[Tile::TV].height = 32;
	tileInfo[Tile::TV].layer = Tile::MIDDLEGROUND;

	tileInfo[Tile::PLAYER].width = 32;
	tileInfo[Tile::PLAYER].height = 32;
	tileInfo[Tile::PLAYER].layer = Tile::MIDDLEGROUND;

	tileInfo[Tile::BABY].width = 32;
	tileInfo[Tile::BABY].height = 32;
	tileInfo[Tile::BABY].layer = Tile::MIDDLEGROUND;

	tileInfo[Tile::BAT].width = 32;
	tileInfo[Tile::BAT].height = 32;
	tileInfo[Tile::BAT].layer = Tile::BACKGROUND;

	tileInfo[Tile::SLINGSHOT].width = 32;
	tileInfo[Tile::SLINGSHOT].height = 32;
	tileInfo[Tile::SLINGSHOT].layer = Tile::BACKGROUND;

	tileInfo[Tile::MUM].width = 32;
	tileInfo[Tile::MUM].height = 64;
	tileInfo[Tile::MUM].layer = Tile::MIDDLEGROUND;

	tileInfo[Tile::DAD].width = 32;
	tileInfo[Tile::DAD].height = 64;
	tileInfo[Tile::DAD].layer = Tile::MIDDLEGROUND;

	tileInfo[Tile::MOVING_BLOCK].width = 32;
	tileInfo[Tile::MOVING_BLOCK].height = 32;
	tileInfo[Tile::MOVING_BLOCK].layer = Tile::MIDDLEGROUND;

	tileInfo[Tile::WATER_TOP].width = 32;
	tileInfo[Tile::WATER_TOP].height = 32;
	tileInfo[Tile::WATER_TOP].layer = Tile::FOREGROUND;

	tileInfo[Tile::WATER].width = 32;
	tileInfo[Tile::WATER].height = 32;
	tileInfo[Tile::WATER].layer = Tile::FOREGROUND;
}
