#include "imagemap.h"
#include "image.h"

std::map<std::string, Image*> ImageMap::map;

void ImageMap::initVital () {
	//load("splash", -1);
	load("background", -1);
}
	
void ImageMap::init () {
	
	load("baby");
	load("dad");
	load("mum");
	load("player");
	load("tiles");
	load("cry");
	load("bullet");
	
	load("title", -1);
	load("aboutscreen", -1);
	load("prompt", -1);
	
	load("yes", 54);
	load("no", 50);
	load("save", 72);
	load("play-small", 65);
	
	load("play", 203);
	load("editor", 203);
	load("about", 203);
	load("quit", 203);
	load("back", 203);
	load("bat_animation", 64);
}

void ImageMap::load (std::string id, int splitWidth) {
	std::stringstream s;
	
	s << "./images/" << id << ".png";
	
	map[id] = new Image(s.str().c_str(), splitWidth);
}

