#ifndef _INPUT_H_
#define _INPUT_H_

#include "SDL.h"

class Input {
	public:
	
	static void checkEvents ();
	
	static bool isPressed (SDLKey key) {
		return (keystate[key] != 0);
	}
	
	static int getMouseX () { return mouseX; }
	static int getMouseY () { return mouseY; }
	
	static bool isMousePressed (int button) {
		return (mousestate & SDL_BUTTON(button)) != 0;
	}
	
	// kinda deprecated now
	static void getMouse (int& x, int& y) {
		x = mouseX;
		y = mouseY;
	}
	
	private:
	
	static Uint8* keystate;
	static Uint8 mousestate;
	static int mouseX;
	static int mouseY;
};

#endif

